## phosh-osk-data 0.42.0

=== Makefile ===
PY_SCRIPTS = \
	pod-db-from-wiki-dump \
	phosh-osk-data-packager \
	$(NULL)

check:
	flake8 --format=pylint $(PY_SCRIPTS)

man:
	$(MAKE) -C doc

clean:
	$(MAKE) -C doc clean

=== doc/Makefile ===
MANPAGES = \
	phosh-osk-data-packager.1 \
	$(NULL)

%.1: %.rst
	rst2man --syntax-highlight=none $< > $@.tmp
	mv $@.tmp $@

doc: $(MANPAGES)

clean:
	rm -f *.1

=== debian/changelog ===
phosh-osk-data (0.42.0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 17 Nov 2024 14:31:01 +0100

phosh-osk-data (0.42.0~rc1-1) experimental; urgency=medium

  * Initial release (Closes: #1082417)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 09 Oct 2024 16:26:37 +0200

=== debian/control ===
Source: phosh-osk-data
Section: contrib/text
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 flake8,
 python3-docutils,
 python3-nltk,
 wget,
Standards-Version: 4.7.0

Package: phosh-osk-data-packager
Architecture: all
Depends:
 python3,
 python3-requests,
 python3-tqdm,
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 pkexec,
Suggests:
 phosh-osk-stub,
Description: OSK completion data packager for Phosh
 Data to enable text completion in phosh-osk-stub via presage.
 .
 This package contains as script to download and package data
 files.

## phosh-osk-data 0.53.0

=== debian/changelog ===
phosh-osk-data (0.53.0-1) unstable; urgency=medium

  * New upstream release
    * New databases: bg, fr, sr, tr
    * Tweaks to autmoation scripts and docs
  * Update upstream project URL
  * Update salsa URL

 -- Guido Günther <agx@sigxcpu.org>  Tue, 10 Feb 2026 18:52:11 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
  python3-nltk,
  wget,
 Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh-osk-data
+Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh-osk-data.git
 
 Package: phosh-osk-data-packager
 Architecture: all

=== debian/watch ===
version=4
opts="uversionmangle=s/\.(alpha|beta|rc)/~$1/, \
  pgpsigurlmangle=s%$%.asc%,pgpsigurlmangle=s/$/.asc/,pgpmode=mangle"
  https://sources.phosh.mobi/releases/@PACKAGE@/ @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
